%define name smeserver-manager-AdminLTE
%define version 11.0.0
%define release 54

Summary: AdminLTE is an html framework for admin consoles - this rpm adds it to smeserver manager2
Name: %{name}
Version: %{version}
Release: %{release}%{?dist}
Distribution: SME Server
License: GNU GPL version 2
URL: https://adminlte.io/
Group: SMEserver/addon
source: %{name}-%{version}.tar.gz

Packager: Brian Read <brianr@koozali.org>
BuildArchitectures: noarch
BuildRoot: /var/tmp/%{name}-%{version}-%{release}-buildroot
BuildRequires: smeserver-devtools
Requires: smeserver-release >= 11.0
Requires: smeserver-manager >= 11.0.0-111
Requires: smeserver-lib >= 11.0.0-13
Requires: e-smith-manager >= 2.4.0-22

AutoReqProv: no

%description
https://adminlte.io/
AdminLTE is an html framework for admin consoles
wget https://github.com/ColorlibHQ/AdminLTE/archive/master.zip

%changelog
* Fri Aug 29 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-54.sme
- Add a href Login link on the intial page to aid elinks

* Thu Aug 14 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-53.sme
- Increase SSH port input box size - thanks Jean Pierre [SME: 13105]
- Set SSH port max length at 5

* Thu Aug 07 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-52.sme
- Add Please wait on submit as per default template
- Formatting reboot template

* Tue Aug 05 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-51.sme
- Fix reboot/shutdown failure - thanks Massimo [SME: 13097]

* Mon Aug 04 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-50.sme
- Fix yum update template - thanks Massimo [SME: 13095]

* Tue Jul 29 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-49.sme
- Password text [SME:13081]
- Email settings[SME: 13080]
- Busy cursor [SME: 13064]

* Wed Jul 23 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-48.sme
- Update to AdminLTE 4.0.0-rc4

* Tue Jul 08 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-47.sme
- Working on multipassword show/hide

* Mon Jul 07 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-46.sme
- Too fast on the build button and missed some files

* Mon Jul 07 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-45.sme
- Tidy up Nut panels more
- other general formatting

* Sun Jul 06 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-44.sme
- Tidy up Nut panels

* Sun Jul 06 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-43.sme
- Make buttons smaller
- Fix mail_data instances
- Update email templates
- Lots of tweaks including reduced button sizes
- refactor CSS and JS files

* Thu Jun 26 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-42.sme
- Finish Software updater

* Thu Jun 19 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-41.sme
- Work on NutUPS
- Work on DateTime
- Work on Letsencrypt
- Fix usr panel typo

* Wed Jun 18 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-40.sme
- Finish Letsencrypt panels
- fix CSS and _usr files typo

* Tue Jun 17 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-39.sme
- Start Letsencrypt panels

* Fri Jun 13 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-38.sme
- More formatting for LocalNetworks
- More formatting for PortForwards

* Fri Jun 13 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-37.sme
- Finish portforwarding to work with [SME:13043]

* Fri Jun 13 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-36.sme
- Cosmetic tweaks
- Localnetworking fix via [SME: 13041]
- Portforwarding panels done but require fix to module similar to 13041 above.

* Thu Jun 12 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-35.sme
- Finish backup panels
- Finish printer panels
- Tidy Local Networks
- Small layout tweaks

* Wed Jun 11 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-34.sme
- Update flag detection JS [SME: 13039]
- Tweak login template
- Update Remoteaccess template
- Various formatting  fixes
- User password trying to get the show hide password icon working
- Ibay password trying to get the show hide password icon working
- Continue Backup panels

* Tue Jun 10 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-33.sme
- Fix out of sync versioning

* Tue Jun 10 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-32.sme
- Add autocomplete to login as per Google
- Update to Quota list - thanks Ed Burgstaler
- Update Clamav
- Modify ibay update
- Modify Localnetwork list
- Start remoteaccess

* Mon Jun 09 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-31.sme
- Fix some issues with user panel
- Fix missing bootstrap icons
- Reduce font size to keep Brian happy
 
* Mon Jun 09 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-30.sme
- Add UTF8 support to network panel

* Wed Jun 04 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-29.sme
- Proxy panel done

* Wed Jun 04 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-28.sme
- Reboot panel done

* Wed Jun 04 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-27.sme
- finish Email panels
- Fix login password toggle

* Wed May 28 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-26.sme
- DateTime started but needs other fixes.
- Start Email but it really needs partials
- Some general tidying

* Tue May 20 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-25.sme
- Log files - Bug reports - Config reports

* Mon May 19 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-24.sme
- Local Networks and a few odd tidies

* Sun May 18 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-23.sme
- Domains done plus more tweaks

* Sun May 18 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-22.sme
- Hosts done and a few tweaks

* Sun May 18 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-21.sme
- Directory updated. More odd fixes.

* Sun May 18 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-20.sme
- Ibays done. Updating some consistency elsewhere.

* Fri May 16 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-19.sme
- Fix more stuff with usr templates

* Thu May 01 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-18.sme
- Trying to make _user_list more logical. Needs 'UNLOCK' translation
- Big cleanup of dupplicate % my= but needs more work

* Thu May 01 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-17.sme
- Convert tabs to spaces for consistency
- Fix group update container

* Thu May 01 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-16.sme
- Fix user add error
- Update group templates

* Fri Apr 25 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-15.sme
- Forgot the updated CSS

* Fri Apr 25 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-14.sme
- Finish user templates. Saving fixed. Start on groups

* Fri Apr 25 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-13.sme
- Tidy some useraccounts formatting but admin page will not save

* Thu Apr 24 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0.12.sme
- Tidy user list

* Wed Apr 23 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-11.sme
- Working sidebar scrolling

* Sat Apr 19 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-10.sme
- Tweak the form values more but stil not right

* Sat Apr 19 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-9.sme
- Starting to update forms
- Moving as much formatting to simple html as possible
- Use Mojo helpers for some parts eg theme chooser - may come back to that

* Fri Apr 18 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-8.sme
- More cleanup
- Add Card support across all panels except login
- Disabled minimise and remove Card icons

* Thu Apr 17 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-7.sme
- Clean up review template (but footer in the wrong place)
- Fix typo tabel

* Wed Apr 16 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-6.sme
- Remove old template
- Update breadcrumbs

* Wed Apr 16 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-5.sme
- Fix Remote Access remove network

* Wed Apr 16 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-4.sme
- More template cleaning
- Fix Password syntax errors

* Tue Apr 15 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-3.sme
- Finish template tidy

* Tue Apr 15 2025 John Crisp <jcrisp@safeandsoundit.co.uk> 11.0.0-2.sme
- Start to build templates with AdminLTE
- Split the basic template into sections to make it easier to manage
- Cleanup existign main templates
- Rename some partials more logically

* Tue Mar 25 2025 Brian Read <brianr@koozali.org> 11.0.0-1.sme
- New version for AdminLTE integration with no class or ids

%prep
%setup

%build
perl createlinks

%install
rm -rf $RPM_BUILD_ROOT
(cd root   ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
rm -f %{name}-%{version}-filelist
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist

%clean
cd ..
rm -rf %{name}

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)

%post
